<?php
class ComentariosController extends AppController {

	var $name = 'Comentarios';
	var $helpers = array('Html', 'Form' );

	function index($id=null) {
		$this->Comentario->recursive = 0;
		$this->set('comentarios', $this->Comentario->findAll("post_id=$id"));
	}

	function view($id = null) {
		if(!$id) {
			$this->Session->setFlash('Invalid id for Comentario.');
			$this->redirect('/comentarios/index');
		}
		$this->set('comentario', $this->Comentario->read(null, $id));
	}

	function add($id=null) {
		if(empty($this->data)) {
			$this->set('posts', $this->Comentario->Post->generateList("id=$id"));
			$this->render();
		} else {
			$this->cleanUpFields();
			if($this->Comentario->save($this->data)) {
				$this->Session->setFlash('The Comentario has been saved');
				$this->redirect('/');
			} else {
				$this->Session->setFlash('Please correct errors below.');
				$this->set('posts', $this->Comentario->Post->generateList());
			}
		}
	}

	function edit($id = null) {
		if(empty($this->data)) {
			if(!$id) {
				$this->Session->setFlash('Invalid id for Comentario');
				$this->redirect('/comentarios/index');
			}
			$this->data = $this->Comentario->read(null, $id);
			$this->set('posts', $this->Comentario->Post->generateList());
		} else {
			$this->cleanUpFields();
			if($this->Comentario->save($this->data)) {
				$this->Session->setFlash('The Comentario has been saved');
				$this->redirect('/comentarios/index');
			} else {
				$this->Session->setFlash('Please correct errors below.');
				$this->set('posts', $this->Comentario->Post->generateList());
			}
		}
	}

	function delete($id = null) {
		if(!$id) {
			$this->Session->setFlash('Invalid id for Comentario');
			$this->redirect('/comentarios/index');
		}
		if($this->Comentario->del($id)) {
			$this->Session->setFlash('The Comentario deleted: id '.$id.'');
			$this->redirect('/comentarios/index');
		}
	}


	function admin_index() {
		$this->Comentario->recursive = 0;
		$this->set('comentarios', $this->Comentario->findAll());
	}

	function admin_view($id = null) {
		if(!$id) {
			$this->Session->setFlash('Invalid id for Comentario.');
			$this->redirect('/admin/comentarios/index');
		}
		$this->set('comentario', $this->Comentario->read(null, $id));
	}

	function admin_add() {
		if(empty($this->data)) {
			$this->set('posts', $this->Comentario->Post->generateList());
			$this->render();
		} else {
			$this->cleanUpFields();
			if($this->Comentario->save($this->data)) {
				$this->Session->setFlash('The Comentario has been saved');
				$this->redirect('/admin/comentarios/index');
			} else {
				$this->Session->setFlash('Please correct errors below.');
				$this->set('posts', $this->Comentario->Post->generateList());
			}
		}
	}

	function admin_edit($id = null) {
		if(empty($this->data)) {
			if(!$id) {
				$this->Session->setFlash('Invalid id for Comentario');
				$this->redirect('/admin/comentarios/index');
			}
			$this->data = $this->Comentario->read(null, $id);
			$this->set('posts', $this->Comentario->Post->generateList());
		} else {
			$this->cleanUpFields();
			if($this->Comentario->save($this->data)) {
				$this->Session->setFlash('The Comentario has been saved');
				$this->redirect('/admin/comentarios/index');
			} else {
				$this->Session->setFlash('Please correct errors below.');
				$this->set('posts', $this->Comentario->Post->generateList());
			}
		}
	}

	function admin_delete($id = null) {
		if(!$id) {
			$this->Session->setFlash('Invalid id for Comentario');
			$this->redirect('/admin/comentarios/index');
		}
		if($this->Comentario->del($id)) {
			$this->Session->setFlash('The Comentario deleted: id '.$id.'');
			$this->redirect('/admin/comentarios/index');
		}
	}

}
?>